diff --git a/web/pgadmin/static/js/tree/tree.js b/web/pgadmin/static/js/tree/tree.js
index 2f61d1b84..37e46ed68 100644
--- a/web/pgadmin/static/js/tree/tree.js
+++ b/web/pgadmin/static/js/tree/tree.js
@@ -77,7 +77,7 @@ export class Tree {
   }
 
   async before(item, data) {
-    return await this.tree.create(item.parent, data);
+    await this.tree.create(item.parent, data);
   }
 
   async update(item, data) {
@@ -85,11 +85,11 @@ export class Tree {
   }
 
   async remove(item) {
-    return await this.tree.remove(item);
+    await this.tree.remove(item);
   }
 
   async append(item, data) {
-    return await this.tree.create(item, data);
+    await this.tree.create(item, data);
   }
 
   async destroy() {
diff --git a/web/pgadmin/static/js/tree/tree_init.tsx b/web/pgadmin/static/js/tree/tree_init.tsx
index 6ecb3647e..000258dff 100644
--- a/web/pgadmin/static/js/tree/tree_init.tsx
+++ b/web/pgadmin/static/js/tree/tree_init.tsx
@@ -28,7 +28,7 @@ var initBrowserTree = async (pgBrowser) => {
   const host: IBasicFileSystemHost = {
     pathStyle: 'unix',
     getItems: async (path) => {
-      return await mtree.readNode(path);
+      return mtree.readNode(path);
     },
     sortComparator: (a: FileEntry | Directory, b: FileEntry | Directory) => {
       // No nee to sort columns
diff --git a/web/pgadmin/static/js/tree/tree_nodes.ts b/web/pgadmin/static/js/tree/tree_nodes.ts
index 7953ea26d..116ff5f79 100644
--- a/web/pgadmin/static/js/tree/tree_nodes.ts
+++ b/web/pgadmin/static/js/tree/tree_nodes.ts
@@ -175,8 +175,7 @@ export class ManageTreeNodes {
     // Replace the table with the last partition as in reality partition node is not child of the table
     if(_partitions.length > 0) _parent_path[0]  = _partitions[_partitions.length-1];
 
-    let _rev_arr = _parent_path.reverse();
-    return _rev_arr.join("/");
+    return _parent_path.reverse().join("/");
   }
 }
 
